Skip to main content
DELETE
/
collections
/
{collectionId}
/
records
/
{recordId}
cURL
curl --request DELETE \
  --url https://api.sparq.ai/v2/collections/{collectionId}/records/{recordId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sparq.ai/v2/collections/{collectionId}/records/{recordId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sparq.ai/v2/collections/{collectionId}/records/{recordId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "status": 123
  }
]
{
"status": 123,
"data": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collectionId
string
required

Unique identifier for the collection.

recordId
string
required

Identifier of the record to be deleted.

Response

Deletion response indicating success.

status
integer

Status code indicating the result of the operation.